//
//  IAPHelper.h
//  InappDemo
//
//  Created by Ashish Nakoti on 2/20/14.
//  Copyright (c) 2014 evon. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <StoreKit/StoreKit.h>


typedef void (^IAPHelperCallBack)(id result, NSError *error);

@interface IAPHelper : NSObject<SKPaymentTransactionObserver, SKProductsRequestDelegate>

@property (strong, nonatomic) SKProductsRequest *request;
@property (strong, nonatomic) SKProduct *product;
@property (strong, nonatomic) NSString *productID;
@property (strong, nonatomic) IBOutlet UILabel *productTitle;
@property (strong, nonatomic) IBOutlet UITextView *productDescription;

-(UIView*)showAlertMessage:(NSString*)message title:(NSString*)title;
-(void)getAllProductsDetails :(IAPHelperCallBack)callBack;
-(void)buyProduct:(IAPHelperCallBack)callBack;
+(id)sharedIAPHelper;

@end
