//
//  ViewController.m
//  InappDemo
//
//  Created by Ashish Nakoti on 2/20/14.
//  Copyright (c) 2014 evon. All rights reserved.
//

#import "ViewController.h"
#import "IAPHelper.h"

@interface ViewController ()

@end

@implementation ViewController



- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
    [self getProductInfo];
    
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}


-(void)getProductInfo{

    [[IAPHelper sharedIAPHelper] getAllProductsDetails:^(id result, NSError *error){
        NSLog(@"%@", error.description);
        if (!error) {
            [[IAPHelper sharedIAPHelper]showAlertMessage:result title:@"Products"];
        }else
            [[IAPHelper sharedIAPHelper]showAlertMessage:error.description title:@"Products"];
    }];
}


- (IBAction)btnBuy:(id)sender {
    
    [[IAPHelper sharedIAPHelper] buyProduct:^(id result, NSError *error){
        NSLog(@"%@",result);
         if (error) {
             [[IAPHelper sharedIAPHelper]showAlertMessage:error.description title:@"Status"];
         }else
             [[IAPHelper sharedIAPHelper]showAlertMessage:result title:@"Status"];
    }];
    
}

- (NSInteger)tableView:(UITableView *)tableView
 numberOfRowsInSection:(NSInteger)section
{
    return 1;
}

- (UITableViewCell *)tableView:(UITableView *)tableView
         cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
    static NSString *GenericTableIdentifier = @"GenericTableIdentifier";
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier: GenericTableIdentifier];
    
    if (cell == nil) {
        cell = [[UITableViewCell alloc] initWithStyle:UITableViewCellStyleDefault reuseIdentifier:GenericTableIdentifier];
    }
    
    //    NSUInteger row = [indexPath row];
    /*[cell.textLabel setText:[NSString stringWithFormat:@"%@ - %@", product.localizedTitle, product.price]];*/
    cell.textLabel.text = @"test";
    return cell;
}


@end
