//
//  SingletonClass.h
//  InappDemo
//
//  Created by Ashish Nakoti on 2/21/14.
//  Copyright (c) 2014 evon. All rights reserved.
//

#ifndef InappDemo_SingletonClass_h
#define InappDemo_SingletonClass_h


#define SINGLETON_FOR_CLASS(classname)\
+ (id) shared##classname {\
static dispatch_once_t pred = 0;\
__strong static id _sharedObject = nil;\
dispatch_once(&pred, ^{\
_sharedObject = [[self alloc] init];\
});\
return _sharedObject;\
}


#endif
